local gametext = Var("GameCommand"):GetText()
local itemIndex = Var("GameCommand"):GetIndex()

local t = Def.ActorFrame {
	--MenuSelectionChangedMessageCommand=function() SCREENMAN:GetTopScreen():lockinput(0.5) end;
	
	LoadActor(THEME:GetPathB("","_frame 3x1"), "Circle bw", 150)..{
		Name="ChoiceFrame";
		InitCommand=function(self)
			local colors = {
				math.random(),
				math.random(),
				math.random(),
				1
			}
			self:x(75);
			self:diffuse(colors);
		end;
	};
	
	LoadActor("IconCircle")..{
		Name="CharCircle";
		InitCommand=cmd(x,-16;zoom,0.9);
	};
	
	LoadActor("IconCircle")..{
		Name="SmallCircle";
		InitCommand=cmd(x,-4;zoom,0.6);
	};
	
	LoadFont("ArialOutline")..{
		Name="Text";
		InitCommand=cmd(shadowlength,0;x,4;zoom,0.8;horizalign,left);
		Text=gametext;
	};
	
	LoadFont("ArialOutline")..{
		Name="Char";
		InitCommand=cmd(shadowlength,0;x,-16;zoom,0.75;horizalign,left);
		Text=string.sub(gametext,0,1);
	};
}

--[[local function UpdateStats(self)
	local x,y,z = self:GetX(), self:GetY(), self:GetZ()
	self:GetChild("Text"):settext(string.format("X:%s Y:%s Z:%s",x,y,z))
end]]

--t.InitCommand=cmd(SetUpdateFunction,UpdateStats)

return t